CFB_Mode_ExternalCipher Struct Reference

CFB mode, external cipher. More...

`#include <modes.h>`

Inheritance diagram for CFB_Mode_ExternalCipher:

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher< ConcretePolicyHolder< Empty, CFB_EncryptionTemplate< AbstractPolicyHolder< CFB_CipherAbstractPolicy, CFB_ModePolicy > > > > | Encryption
typedef CipherModeFinalTemplate_ExternalCipher< ConcretePolicyHolder< Empty, CFB_DecryptionTemplate< AbstractPolicyHolder< CFB_CipherAbstractPolicy, CFB_ModePolicy > > > > | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

CFB mode, external cipher.

See also
  Modes of Operation on the Crypto++ wiki.

Definition at line 461 of file modes.h.

## Member Typedef Documentation

## Encryption

typedef CipherModeFinalTemplate_ExternalCipher<ConcretePolicyHolder<Empty, CFB_EncryptionTemplate<AbstractPolicyHolder<CFB_CipherAbstractPolicy, CFB_ModePolicy> > > > CFB_Mode_ExternalCipher::Encryption

Definition at line 463 of file modes.h.

## Decryption

typedef CipherModeFinalTemplate_ExternalCipher<ConcretePolicyHolder<Empty, CFB_DecryptionTemplate<AbstractPolicyHolder<CFB_CipherAbstractPolicy, CFB_ModePolicy> > > > CFB_Mode_ExternalCipher::Decryption

Definition at line 464 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h